<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>

    <groupId>com.zjty.tynotes</groupId>
    <artifactId>tynotes</artifactId>
    <packaging>pom</packaging>
    <version>1.0-SNAPSHOT</version>


    <name>ty-notes</name>
    <description>ty's notes</description>

    <parent>
        <groupId>org.springframework.boot</groupId>
        <artifactId>spring-boot-starter-parent</artifactId>
        <version>2.1.4.RELEASE</version>
        <relativePath/> <!-- lookup parent from repository -->
    </parent>

    <properties>
        <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
        <project.reporting.outputEncoding>UTF-8</project.reporting.outputEncoding>
        <java.version>1.8</java.version>
        <checkstyle.config.location>check-style.xml</checkstyle.config.location>
    </properties>

    <modules>
        <module>notes-search</module>
        <module>notes-fs</module>
        <module>notes-sms</module>
        <module>notes-job</module>
        <module>notes-misc</module>
        <module>notes-union</module>
        <module>notes-pas</module>
        <module>notes-redis</module>
        <module>notes-weekly</module>
    </modules>
    
    <dependencyManagement>
        <dependencies>

            <dependency>
                <groupId>com.zjty.tynotes</groupId>
                <artifactId>notes-weekly</artifactId>
                <version>1.0-SNAPSHOT</version>
            </dependency>

            <dependency>
                <groupId>com.zjty.tynotes</groupId>
                <artifactId>notes-redis</artifactId>
                <version>1.0-SNAPSHOT</version>
            </dependency>

            <dependency>
                <groupId>com.zjty.tynotes</groupId>
                <artifactId>notes-pas</artifactId>
                <version>1.0-SNAPSHOT</version>
            </dependency>

            <dependency>
                <groupId>com.zjty.tynotes</groupId>
                <artifactId>notes-fs</artifactId>
                <version>1.0-SNAPSHOT</version>
            </dependency>

            <dependency>
                <groupId>com.zjty.tynotes</groupId>
                <artifactId>notes-job</artifactId>
                <version>1.0-SNAPSHOT</version>
            </dependency>

            <dependency>
                <groupId>com.zjty.tynotes</groupId>
                <artifactId>notes-search</artifactId>
                <version>1.0-SNAPSHOT</version>
            </dependency>

            <dependency>
                <groupId>com.zjty.tynotes</groupId>
                <artifactId>notes-sms</artifactId>
                <version>1.0-SNAPSHOT</version>
            </dependency>

            <dependency>
                <groupId>com.zjty.tynotes</groupId>
                <artifactId>notes-misc</artifactId>
                <version>1.0-SNAPSHOT</version>
            </dependency>

        </dependencies>
    </dependencyManagement>

    <dependencies>
        <dependency>
            <groupId>org.projectlombok</groupId>
            <artifactId>lombok</artifactId>
            <version>1.16.20</version>
        </dependency>

        <dependency>
            <groupId>com.google.guava</groupId>
            <artifactId>guava</artifactId>
            <version>23.0</version>
        </dependency>

        <dependency>
            <groupId>org.apache.commons</groupId>
            <artifactId>commons-lang3</artifactId>
            <version>3.5</version>
        </dependency>
    </dependencies>

    <build>
        <plugins>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-checkstyle-plugin</artifactId>
                <version>3.0.0</version>
                <configuration>
                    <configLocation>${checkstyle.config.location}</configLocation>
                </configuration>
            </plugin>
        </plugins>
    </build>

</project>